Page 1 of 1

Upgrade to 2.3 fails

Posted: Tue Feb 12, 2019 5:31 pm
by Theking2
Hi running the upgrade script in 2.3.0.2 produces the error below. How do we perform and upgrade to 2.3?

Error Code(0): Error: Unknown column 'customer_activity_id' in 'where clause'
Error No: 1054
UPDATE `customer_activity` SET `customer_activity_id` = `activity_id` WHERE `customer_activity_id` IS NULL or `customer_activity_id` = '

Re: Upgrade to 2.3 fails

Posted: Tue Feb 12, 2019 8:54 pm
by thekrotek
OpenCart never had any upgrade routine, all upgrades are manual. You need to manually update all your database tables or ask for commercial support, if you can't do this yourself.

Re: Upgrade to 2.3 fails

Posted: Tue Feb 12, 2019 10:32 pm
by xxvirusxx
Upgrade from what version to 2.3?
You can try to disable all extension then to try upgrade.